Bug 132341 - 551 sys_poll oops
551 sys_poll oops
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-10 22:59 EDT by Warren Togami
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 06:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-09-10 22:59:02 EDT
No idea what caused this one...

Description of problem:
Unable to handle kernel NULL pointer dereference at virtual address
00000005
 printing eip:
0217886a
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: nls_utf8 udf radeon netconsole md5 ipv6 parport_pc
lp parport autofs4 ds sunrpc microcode dm_mod button battery asus_acpi
ac yenta_socket pcmcia_core uhci_hcd ehci_hcd radeonfb i2c_algo_bit
i2c_core snd_intel8x0m snd_intel8x0 snd_ac97_codec snd_pcm_oss
snd_mixer_oss snd_pcm snd_timer snd_page_alloc gameport
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore e1000
aes_i586 airo xfs
CPU:    0
EIP:    0060:[<0217886a>]    Not tainted VLI
EFLAGS: 00210202   (2.6.8-1.551)
EIP is at do_poll+0x35/0xab
eax: 364f6f78   ebx: 00000001   ecx: 364f6f74   edx: 39fed488
esi: 00007487   edi: 364f6fa0   ebp: 39fed480   esp: 364f6f74
ds: 007b   es: 007b   ss: 0068
Process gnome-panel (pid: 3924, threadinfo=364f6000 task=37ad6670)
Stack: 00000000 00000000 00000000 39fed480 0000001d 00007530 021789fa
00007530
       39fed480 fffffff4 0215c4a0 02177e61 0e771000 00000000 02124413
364f6fc4
       0000752f 008a7ffc 364f6000 ffff4200 08d64740 0000001d 0000752f
0000752f
Call Trace:
 [<021789fa>] sys_poll+0x11a/0x1bc
 [<0215c4a0>] put_user_size+0x29/0x2d
 [<02177e61>] __pollwait+0x0/0x94
 [<02124413>] sys_gettimeofday+0x25/0x55
Code: <3>Debug: sleeping function called from invalid context at
include/linux/rwsem.h:43
in_atomic():0[expected: 0], irqs_disabled():1
 [<0211c62b>] __might_sleep+0x7d/0x8a
 [<0215bcfe>] rw_vm+0x216/0x482
 [<0217883f>] do_poll+0xa/0xab
 [<0217883f>] do_poll+0xa/0xab
 [<0215c450>] get_user_size+0x30/0x57
 [<0217883f>] do_poll+0xa/0xab
 [<021067ef>] show_registers+0x109/0x15e
 [<021069f3>] die+0x14a/0x248
 [<0211911a>] do_page_fault+0x0/0x50d
 [<0211911a>] do_page_fault+0x0/0x50d
 [<021194cb>] do_page_fault+0x3b1/0x50d
 [<0217886a>] do_poll+0x35/0xab
 [<022f9a6b>] schedule+0x46f/0x59b
 [<021446cb>] __alloc_pages+0xb4/0x298
 [<0211911a>] do_page_fault+0x0/0x50d
 [<0217886a>] do_poll+0x35/0xab
 [<021789fa>] sys_poll+0x11a/0x1bc
 [<0215c4a0>] put_user_size+0x29/0x2d
 [<02177e61>] __pollwait+0x0/0x94
 [<02124413>] sys_gettimeofday+0x25/0x55
 Bad EIP value.
 Badness in futex_wait at kernel/futex.c:542
 [<02137c6e>] futex_wait+0x150/0x197
 [<0211b6b1>] default_wake_function+0x0/0xc
 [<0211b6b1>] default_wake_function+0x0/0xc
 [<02137ef7>] do_futex+0x29/0x5a
 [<02137fe5>] sys_futex+0xbd/0xcc
Badness in futex_wait at kernel/futex.c:542
 [<02137c6e>] futex_wait+0x150/0x197
 [<0211b6b1>] default_wake_function+0x0/0xc
 [<0211b6b1>] default_wake_function+0x0/0xc
 [<02137ef7>] do_futex+0x29/0x5a
 [<02137fe5>] sys_futex+0xbd/0xcc
(This message repeats dozens of times)

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.551

Note You need to log in before you can comment on or make changes to this bug.